using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability304.Request;

public class TaobaoOpenuidGetBytradeRequest : AbstractTopApiRequest
{

    /*
        订单ID
            */
    private long? tid;


    [JsonPropertyName("tid")]
    public long? Tid
    {
        get => tid;
        set => this.tid = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.tid != null)
        {
            requestParam.Add("tid",TopUtils.ConvertBasicType(this.tid));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.openuid.get.bytrade";
    }

}

